package com.chenyang.nse.bussiness.entity.orm.table.core.systemparameter;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SYSTEMPARAMETER_VALUE"
)
public class TCoreSystemparameterValue extends TBaseEntity {
   private String systemparameterid;
   private String propertyid;
   private String propertyvalue;

   public TCoreSystemparameterValue() {
   }

   public TCoreSystemparameterValue(String systemparameterid, String propertyid, String propertyvalue) {
      this.systemparameterid = systemparameterid;
      this.propertyid = propertyid;
      this.propertyvalue = propertyvalue;
   }

   public String getSystemparameterid() {
      return this.systemparameterid;
   }

   public void setSystemparameterid(String systemparameterid) {
      this.systemparameterid = systemparameterid;
   }

   public String getPropertyid() {
      return this.propertyid;
   }

   public void setPropertyid(String propertyid) {
      this.propertyid = propertyid;
   }

   public String getPropertyvalue() {
      return this.propertyvalue;
   }

   public void setPropertyvalue(String propertyvalue) {
      this.propertyvalue = propertyvalue;
   }

   public String toString() {
      return "TCoreSystemparameterValue [systemparameterid=" + this.systemparameterid + ", propertyid=" + this.propertyid + ", propertyvalue=" + this.propertyvalue + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.propertyid == null ? 0 : this.propertyid.hashCode());
      result = 31 * result + (this.propertyvalue == null ? 0 : this.propertyvalue.hashCode());
      result = 31 * result + (this.systemparameterid == null ? 0 : this.systemparameterid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSystemparameterValue other = (TCoreSystemparameterValue)obj;
         if (this.propertyid == null) {
            if (other.propertyid != null) {
               return false;
            }
         } else if (!this.propertyid.equals(other.propertyid)) {
            return false;
         }

         if (this.propertyvalue == null) {
            if (other.propertyvalue != null) {
               return false;
            }
         } else if (!this.propertyvalue.equals(other.propertyvalue)) {
            return false;
         }

         if (this.systemparameterid == null) {
            if (other.systemparameterid != null) {
               return false;
            }
         } else if (!this.systemparameterid.equals(other.systemparameterid)) {
            return false;
         }

         return true;
      }
   }
}
